Subject: Re: [PATCH v2] meson: fix perl dependencies for Documentation

From: Sam James <[email-masked]>
Date: Tue, 14 Jan 2025 14:35:00 +0000

Patrick Steinhardt <[email-masked]> writes:

> On Tue, Jan 14, 2025 at 02:03:47PM +0000, Sam James wrote:
>> We need an explicit `depends: documentation_deps` so that all of our
>> Documentation targets know they require asciidoc.conf. This shows up
>> as parallel build failures with it not yet being available.
>> 
>> Other targets look OK already.
>> 
>> Signed-off-by: Sam James <[email-masked]>
>> ---
>> v2: Drop incorrect dep I'd added for api-index.sh as pointed out by Patrick.
>> 
>>  Documentation/technical/meson.build | 1 +
>>  1 file changed, 1 insertion(+)
>> 
>> diff --git a/Documentation/technical/meson.build b/Documentation/technical/meson.build
>> index 21dfb8b5c9..3a65ee59b3 100644
>> --- a/Documentation/technical/meson.build
>> +++ b/Documentation/technical/meson.build
>> @@ -60,6 +60,7 @@ foreach article : api_docs + articles
>>      command: asciidoc_html_options,
>>      input: article,
>>      output: fs.stem(article) + '.html',
>> +    depends: documentation_deps,
>>      install: true,
>>      install_dir: get_option('datadir') / 'doc/git-doc/technical',
>>    )
>
> Okay, this looks good to me now, thanks. One last nit on the subject
> though: as far as I can see the change doesn't have anything to do with
> Perl, so it is somewhat confusing. How about:
>
>    meson: fix missing deps for technical articles

Agreed. Not sure where that came from.

I'll send v3 for that then.

> Thanks!
> Patrick